Invalid locales message says to use apt-get on snappy

Bug #1448301 reported by Brian Murray on 2015-04-24
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Snappy
High
Unassigned
cloud-init (Ubuntu)
High
Unassigned

Bug Description

On my first boot of snappy I received the following after logging in via ssh:

Welcome to Ubuntu 15.04 (GNU/Linux 3.19.0-15-generic armv7l)

 * Documentation: https://help.ubuntu.com/

The programs included with the Ubuntu system are free software;
the exact distribution terms for each program are described in the
individual files in /usr/share/doc/*/copyright.

Ubuntu comes with ABSOLUTELY NO WARRANTY, to the extent permitted by
applicable law.

Welcome to snappy Ubuntu Core, a transactionally updated Ubuntu.

 * See https://ubuntu.com/snappy

It's a brave new world here in snappy Ubuntu Core! This machine
does not use apt-get or deb packages. Please see 'snappy --help'
for app installation and transactional updates.

To run a command as administrator (user "root"), use "sudo <command>".
See "man sudo_root" for details.

_____________________________________________________________________
WARNING! Your environment specifies an invalid locale.
 This can affect your user experience significantly, including the
 ability to manage packages. You may install the locales by running:

  sudo apt-get install locales
   sudo apt-get install language-pack-en
     or
   sudo locale-gen en_US.UTF-8

To see all available language packs, run:
   apt-cache search "^language-pack-[a-z][a-z]$"
To disable this message for all users, run:
   sudo touch /var/lib/cloud/instance/locale-check.skip
_____________________________________________________________________

Obviously, its contradictory to say "does not use apt-get" and then to say "sudo apt-get install locales".

tags: added: vivd
Michael Terry (mterry) on 2015-06-09
tags: added: vivid
removed: vivd
Michael Vogt (mvo) wrote :

I can reproduce this by setting:
 $ LC_ALL=en_US.UTF-8 ssh <email address hidden>
the message is triggered by /etc/profile.d/Z99-cloud-locale-test.sh which is provided by cloud-init

Changed in ubuntu-snappy (Ubuntu):
status: New → Invalid
Changed in snappy:
importance: Undecided → High
status: New → Triaged
affects: ubuntu-snappy (Ubuntu) → cloud-init (Ubuntu)
Changed in cloud-init (Ubuntu):
importance: Undecided → High
status: Invalid → Triaged
summary: - Invalid locales message says to use apt-get
+ Invalid locales message says to use apt-get on snappy
Michael Vogt (mvo) wrote :

This is fixed in snappy 16 - we set the locale to C.UTF-8 now.

Michael Vogt (mvo) on 2016-04-29
Changed in snappy:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers